Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Cache_ExtId Class Reference

Helper class for TAO_Transport_Cache_Manager: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of the Transport Cache. More...

`#include <Cache_Entries.h>`

Collaboration diagram for TAO_Cache_ExtId:

[legend]
List of all members.

## Public Methods
| TAO_Cache_ExtId (void)
| Constructor. More...
| TAO_Cache_ExtId (TAO_Transport_Descriptor_Interface *prop)
| Constructor. More...
| TAO_Cache_ExtId (const TAO_Cache_ExtId &rhs)
| Copy constructor. More...
| ~TAO_Cache_ExtId (void)
| Destructor. More...
TAO_Cache_ExtId & | operator= (const TAO_Cache_ExtId &rhs)
| Assignment operator (does copy memory). More...
int | operator== (const TAO_Cache_ExtId &rhs) const
| Equality comparison operator (must match both id_ and kind_). More...
int | operator!= (const TAO_Cache_ExtId &rhs) const
| Inequality comparison operator. More...
u_long | hash (void) const
| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager. More...
void | duplicate (void)
| Make a deep copy of the underlying pointer. More...
CORBA::ULong | index (void)
| Return the index value. More...
CORBA::ULong | index (void) const
void | index (CORBA::ULong index)
| Set the index value. This calls should not be used by any users but for the TAO_Transport_Cache_Manager class. More...
TAO_Transport_Descriptor_Interface * | property (void) const
| Get the underlying the property pointer. More...
## Private Attributes
TAO_Transport_Descriptor_Interface * | transport_property_
| A property object that we represent. More...
CORBA::Boolean | is_delete_
| Do we need to delete transport_propert_? More...
CORBA::ULong | index_

## Detailed Description

Helper class for TAO_Transport_Cache_Manager: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of the Transport Cache.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Cache_ExtId::TAO_Cache_ExtId | ( | void |  | ) |

| Constructor.

ACE_INLINE TAO_Cache_ExtId::TAO_Cache_ExtId | ( | TAO_Transport_Descriptor_Interface * | prop | ) |

| Constructor.

ACE_INLINE TAO_Cache_ExtId::TAO_Cache_ExtId | ( | const TAO_Cache_ExtId & | rhs | ) |

| Copy constructor.

ACE_INLINE TAO_Cache_ExtId::~TAO_Cache_ExtId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE void TAO_Cache_ExtId::duplicate | ( | void |  | ) |

| Make a deep copy of the underlying pointer.

ACE_INLINE u_long TAO_Cache_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager.

ACE_INLINE void TAO_Cache_ExtId::index | ( | CORBA::ULong | index | ) |

| Set the index value. This calls should not be used by any users but for the TAO_Transport_Cache_Manager class.

ACE_INLINE CORBA::ULong TAO_Cache_ExtId::index | ( | void |  | ) | const

ACE_INLINE CORBA::ULong TAO_Cache_ExtId::index | ( | void |  | ) |

| Return the index value.

ACE_INLINE int TAO_Cache_ExtId::operator!= | ( | const TAO_Cache_ExtId & | rhs | ) | const

| Inequality comparison operator.

ACE_INLINE TAO_Cache_ExtId & TAO_Cache_ExtId::operator= | ( | const TAO_Cache_ExtId & | rhs | ) |

| Assignment operator (does copy memory).

ACE_INLINE int TAO_Cache_ExtId::operator== | ( | const TAO_Cache_ExtId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

ACE_INLINE TAO_Transport_Descriptor_Interface * TAO_Cache_ExtId::property | ( | void |  | ) | const

| Get the underlying the property pointer.

## Member Data Documentation

CORBA::ULong TAO_Cache_ExtId::index_`[private]`

| This is a supplementary index. Would be set to zero by default. Would be altered by the Transport_Cache of TAO. Please see the documentation of TAO_Transport_Cache_Manager for details.

CORBA::Boolean TAO_Cache_ExtId::is_delete_`[private]`

| Do we need to delete transport_propert_?

TAO_Transport_Descriptor_Interface* TAO_Cache_ExtId::transport_property_`[private]`

| A property object that we represent.

The documentation for this class was generated from the following files:

- Cache_Entries.h
- Cache_Entries.inl